%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-grunt-init
Version:    0.3.1
Release:    1%{?dist}
Summary:    Generate project scaffolding from a template when using Grunt
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/gruntjs/grunt-init
Source0:    http://registry.npmjs.org/grunt-init/-/grunt-init-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(colors)
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(hooker)
BuildRequires:  npm(prompt)
BuildRequires:  npm(semver)
%endif

%description
Grunt is the JavaScript task runner.

Grunt-init is a scaffolding tool used to automate project creation when using
Grunt. It will build an entire directory structure based on the current
environment and the answers to a few questions. The exact files and contents
created depend on the template chosen along with the answers to the questions
asked.


%prep
%setup -q -n package
%nodejs_fixdep prompt '~0.2'
%nodejs_fixdep semver '~2.0'
%nodejs_fixdep hooker '~0.2'
%nodejs_fixdep colors '~0.6'
%nodejs_fixdep grunt '~0.4'
%nodejs_fixdep lodash '>=1.3.1'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-init
cp -pr package.json tasks/ templates/ \
    %{buildroot}%{nodejs_sitelib}/grunt-init

install -p -D -m0755 bin/grunt-init \
    %{buildroot}%{nodejs_sitelib}/grunt-init/bin/grunt-init
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/grunt-init/bin/grunt-init \
    %{buildroot}%{_bindir}/grunt-init

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/grunt test
%endif


%files
%doc AUTHORS LICENSE-MIT README.md
%{nodejs_sitelib}/grunt-init
%{_bindir}/grunt-init


%changelog
* Sat Mar 15 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.3.1-1
- update to upstream release 0.3.1

* Sat Jan 11 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.1-2
- fix version of npm(semver) dependency
- improve description and summary

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.1-1
- initial package
